%global PKG_NAME argparse

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-%{PKG_NAME}
Version:	1.2.1
Release:	2%{?dist}
Summary:	Python command line parser

Group:		Applications/System
License:	MIT
URL:			https://code.google.com/p/argparse/
Source0:	https://%{PKG_NAME}.googlecode.com/files/%{PKG_NAME}-%{version}.tar.gz

BuildArch:			noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
The argparse module provides an easy, declarative interface for creating
command line tools, which knows how to: parse the arguments and flags from
sys.argv, convert arg strings into objects for your program, format and print
informative help messages and much more... 

%prep
%setup -q -n %{PKG_NAME}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt NEWS.txt README.txt
%{python2_sitelib}/%{PKG_NAME}-%{version}-py2.6.egg-info
%{python2_sitelib}/%{PKG_NAME}.py
%{python2_sitelib}/%{PKG_NAME}.pyc
%{python2_sitelib}/%{PKG_NAME}.pyo


%changelog
* Tue Nov 11 2014 Wesley Hearn <whearn@redhat.com> - 1.2.1-2
- Updated Summary and Description

* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 1.2.1-1
- Initial package 
